#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---
class AddFulltextIndexToMessages < ActiveRecord::Migration
  def self.up
    create_table :messages, :force => true, :options => 'ENGINE=MyISAM' do |t|
      t.column :forum_id, :integer, :null => false, :default => 0
      t.column :from, :string, :null => false
      t.column :subject, :string
      t.column :body, :text
    end
    
    execute("CREATE FULLTEXT INDEX by_subject_body_ft ON messages(subject, body)")
  end

  def self.down
    drop_table :messages
  end
end
