#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---
# =============================================================================
# VARIABLES
# =============================================================================

set :application, "brainspl.at"

role :app,  application
role :web,  application
role :db,   application, :primary => true

# =============================================================================
# TASKS
# =============================================================================



desc "Watch continuous rails_stat output"
task :rails_stat, :roles => [:app] do 
  sudo "rails_stat /var/log/production.log" do |channel, stream, data|
    puts data if stream == :out
    if stream == :err
      puts "[Error: #{channel[:host]}] #{data}"
      break
    end
  end
end



task :tail_log, :roles => :app do
  stream "tail -f #{shared_path}/log/production.log"
end



