#!/usr/local/bin/ruby
#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---

require 'net/smtp'
require 'net/http'
require 'net/https'
require 'uri'

urls = %w{
  http://www.changingthepresent.org/
  http://www.changingthepresent.org/nonprofits/show/23/
  http://www.changingthepresent.org/causes/list/
  https://www.changingthepresent.org/
}

from = 'system@importantgifts.org'

recipients = %w{development@changingthepresent.org}

errors = []

urls.each do |url|
  begin
    uri = URI.parse(url)
    http = Net::HTTP.new(uri.host, uri.scheme == "https" ? 443 : nil)
    http.use_ssl = (uri.scheme == "https" ? true : false)
    http.start do |http|
      request = Net::HTTP::Get.new(uri.path)
      response = http.request(request)
      case response
      when Net::HTTPSuccess, Net::HTTPRedirection
      else
        raise "requesting #{url} returned code #{response.code}"
      end
    end
  rescue
    error = "#{url}: #{$!}"
    errors << error
    puts error
  end
end

unless errors.empty?
  msg = "From: #{from}\n"
  msg += "Subject: ChangingThePresent.org is down!\n\n"
  msg += errors.join("\n")
  puts "sending email to #{recipients.join(', ')}"
  Net::SMTP.start('localhost', 25, 'localhost') do |smtp|
    smtp.send_message(msg, from, recipients)
  end
end