#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---
class AddTableWithOptions < ActiveRecord::Migration
  def self.up
    
    create_table :servers, :options => 'DEFAULT CHARSET=utf8' do |t|
    
      t.column :location_id, :integer
      
      t.column :name, :string, :limit => 60
      
      
      
      t.column :role, :string, :default => 'app'
      
      
      
      t.column :ip, :integer, :null => false
      
    end

    
    change_column :forums, :title, :limit => 240
    

    
    add_index :servers, [:location_id, :role]
    

    
    add_index :servers, :ip, :unique => true
    

    
    add_index :servers, [:location_id, :name], :name => 'by_location_name'
    #end:named-index
  end

  def self.down
    
    remove_index :servers, :name => 'by_location_name'
    

    
    remove_index :servers, :location_id
    

    
    drop_table :servers
    

    change_column :forums, :title, :limit => 200
  end
end
