#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---
# This file is autogenerated. Instead of editing this file, please use the
# migrations feature of ActiveRecord to incrementally modify your database, and
# then regenerate this schema definition.

ActiveRecord::Schema.define(:version => 3) do

  create_table "forums", :force => true do |t|
    t.column "parent_id", :integer, :default => 0, :null => false
    t.column "title", :string, :limit => 200, :default => "", :null => false
    t.column "body", :text, :default => "", :null => false
    t.column "created_at", :datetime
    t.column "updated_at", :datetime
    t.column "forums_count", :integer, :default => 0, :null => false
    t.column "category", :string, :limit => 40
  end

  create_table "products", :force => true do |t|
    t.column "unit_price", :integer, :default => 0, :null => false
  end

  create_table "servers", :force => true do |t|
    t.column "location_id", :integer
    t.column "name", :string, :limit => 60
    t.column "role", :string, :default => "app"
    t.column "ip", :integer, :default => 0, :null => false
  end

  add_index "servers", ["ip"], :name => "servers_ip_index", :unique => true
  add_index "servers", ["location_id", "role"], :name => "servers_location_id_index"
  add_index "servers", ["location_id", "name"], :name => "by_location_name"

end
