#---
# Excerpted from "Deploying Rails Applications",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material, 
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_deploy for more book information.
#---
class ArticleSweeper < ActionController::Caching::Sweeper

  # This is the model that should be watched
  observe Article

  def after_save(record)
    expire_article(record)
  end

  def after_destroy(record)
    expire_article(record)
  end

  # A utility method that does the actual expiration
  def expire_article(record)
    expire_page(hash_for_blog_path(:id => record.id))

    # Other actions can also be cleared here
    # if the Article is used on several pages.
  end

end
